{
  "name": "mpp-sdk",
  "version": "0.7.2",
  "description": "SDK to talk to the Memento Payments Platform",
  "main": "lib/index.js",
  "exports": {
    ".": "./lib/index.js",
    "./lib/helpers": "./lib/helpers/index.js",
    "./lib/storage": "./lib/storage/index.js"
  },
  "files": [
    "lib/**/*"
  ],
  "directories": {
    "example": "examples"
  },
  "dependencies": {
    "axios": "^0.21.1",
    "base64-arraybuffer": "^1.0.2",
    "form-data": "^4.0.0",
    "tslib": "^1.11.1"
  },
  "devDependencies": {
    "@eslint/eslintrc": "^3.1.0",
    "@eslint/js": "^9.14.0",
    "@rollup/plugin-commonjs": "^22.0.2",
    "@rollup/plugin-json": "^4.1.0",
    "@rollup/plugin-node-resolve": "^14.1.0",
    "@tsconfig/recommended": "^1.0.1",
    "@typescript-eslint/eslint-plugin": "^8.14.0",
    "@typescript-eslint/parser": "^8.14.0",
    "eslint": "^9.14.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-prettier": "^5.2.1",
    "husky": "^4.2.3",
    "prettier": "^3.3.3",
    "rollup": "^2.79.1",
    "rollup-plugin-terser": "^7.0.2",
    "typescript": "^4.8.0"
  },
  "scripts": {
    "prebuild": "npm run extract-version",
    "build": "tsc",
    "watch": "tsc --watch",
    "lint": "eslint src/**/*.ts",
    "bundle": "rollup -c -m",
    "extract-version": "node -p \"'export const LIB_VERSION = ' + JSON.stringify(require('./package.json').version) + ';'\" > src/version.ts"
  },
  "husky": {
    "hooks": {
      "pre-commit": "npm run lint"
    }
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:mementopayments/frontend/js-sdk.git"
  },
  "keywords": [
    "mpp"
  ],
  "author": "Memento",
  "license": "MIT"
}
